=head1 NAME

B<makeknownhosts> - Make a known_hosts file under $ROOTHOME/.ssh for input noderange.

=head1 SYNOPSIS

B<makeknownhosts> I<noderange> [B<-r>|B<--remove>] [B<-V>|B<--verbose>]

B<makeknownhosts> {B<-h>|B<--help>}

=head1 DESCRIPTION

B<makeknownhosts> Replaces or removes in the known_hosts file in the $ROOTHOME/.ssh directory, the enties for the nodes from the noderange input to the command.
The known_hosts file entry is built from the shared ssh host key that xCAT distributes to the installed nodes.

HMCs, AMM, switches, etc., where xCAT does not distribute the shared ssh host key, should not be put in the noderange.

To build the known_hosts entry for a node, you are only required to have the node in the database, and name resolution working for the node. You do not have to be able to access the node. 

Having this file with correct entries, will avoid the ssh warning when nodes are automatically added to the known_hosts file.
The file should be distributed using xdcp to all the nodes, if you want node to node communication not to display the warning. 

=head1 OPTIONS

=over 6

=item I<noderange>

A set of comma delimited node names and/or group names.
See the "noderange" man page for details on supported formats.

=item B<-r|--remove>

Only removes the entries for the nodes from the known_hosts file.

=item B<-V|--verbose>

Verbose mode.

=back

=head1 EXAMPLES

=over 2

=item *

makeknownhosts compute

=item *

makeknownhosts lpars,service 

=item *

makeknownhosts node02 -r

=back


